Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 798498 - net-im/mattermost-desktop-bin-4.7.0 does not respect CFLAGS/LDFLAGS
Summary: net-im/mattermost-desktop-bin-4.7.0 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Viorel
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2021-06-25 06:16 UTC by Agostino Sarubbo
Modified: 2021-07-08 12:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,50.29 KB, text/plain)
2021-06-25 06:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-06-25 06:16:57 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-im/mattermost-desktop-bin-4.7.0 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2021-06-25 06:17:00 UTC
Created attachment 718959 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-07-08 12:45:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6268b86082e045659a949f4f7d7da6f045a3cc8b

commit 6268b86082e045659a949f4f7d7da6f045a3cc8b
Author:     Viorel Munteanu <ceamac.paragon@gmail.com>
AuthorDate: 2021-06-25 16:11:23 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2021-07-08 12:42:21 +0000

    net-im/mattermost-desktop-bin: fix QA bug
    
    Closes: https://bugs.gentoo.org/798498
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Viorel Munteanu <ceamac.paragon@gmail.com>
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 net-im/mattermost-desktop-bin/mattermost-desktop-bin-4.7.0.ebuild | 1 +
 1 file changed, 1 insertion(+)